<?php
/*******************************************************************************
	This is a script to add settings into SMF.

	ATTENTION: If you are trying to INSTALL this package, please access
	it directly, with a URL like the following:
		http://www.yourdomain.tld/forum/add_settings.php (or similar.)

================================================================================

	This script can be used to add new settings into the database for use
	with SMF's $modSettings array.  It is meant to be run either from the
	package manager or directly by URL.

*******************************************************************************/

// Do we want to overwrite previous settings?
$overwrite_old_settings = false;

// List of settings and their default values
$mod_settings = array(
	'chatroomButton_ga' => 0,
	'chatroomButton_url' => 'http://www.roadrunner.cx',
);

/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Turn the array defined above into a string of MySQL data.
$string = '';
foreach ($mod_settings as $k => $v)
	$string .= '
			(\'' . $k . '\', \'' . $v . '\'),';

// Insert to DB
if ($string != '')
	$result = db_query("
		" . ($overwrite_old_settings ? 'REPLACE' : 'INSERT IGNORE') . " INTO {$db_prefix}settings
			(variable, value)
		VALUES" . substr($string, 0, -1), __FILE__, __LINE__);

// Cannot write settings to db
if (!$result)
	echo '<b>Error:</b> Database modifications failed!';

?>